--- orig.CMakeLists.txt	2016-10-03 01:25:32.000000000 +0200
+++ CMakeLists.txt	2017-07-05 22:55:39.000000000 +0200
@@ -1,4 +1,4 @@
-project("DB Browser for SQLite")
+project("sqlitebrowser")
 cmake_minimum_required(VERSION 2.8.7)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
@@ -10,6 +10,8 @@
     set(CMAKE_BUILD_TYPE "Release")
 endif()
 
+include(FeatureSummary)
+
 if(WIN32 AND MSVC)
 	if(CMAKE_CL_64)
 		# Paths for 64-bit windows builds
@@ -47,7 +49,7 @@
 
 set(QHEXEDIT_DIR libs/qhexedit)
 set(QCUSTOMPLOT_DIR libs/qcustomplot-source)
-set(QSCINTILLA_DIR libs/qscintilla/Qt4Qt5)
+# set(QSCINTILLA_DIR libs/qscintilla/Qt4Qt5)
 
 if(NOT ANTLR2_FOUND)
     set(ANTLR_DIR libs/antlr-2.7.7)
@@ -55,7 +57,7 @@
 endif()
 add_subdirectory(${QHEXEDIT_DIR})
 add_subdirectory(${QCUSTOMPLOT_DIR})
-add_subdirectory(${QSCINTILLA_DIR})
+# add_subdirectory(${QSCINTILLA_DIR})
 
 if(USE_QT5)
 	find_package(Qt5Widgets REQUIRED)
@@ -258,7 +260,7 @@
 		"${CMAKE_CURRENT_BINARY_DIR}"
 		${QHEXEDIT_DIR}
 		${QCUSTOMPLOT_DIR}
-		${QSCINTILLA_DIR}
+		${QSCINTILLA_INCLUDE_DIR}
 		${ADDITIONAL_INCLUDE_PATHS}
 		src)
 if(ANTLR2_FOUND)
@@ -279,7 +281,8 @@
     qt5_use_modules(${PROJECT_NAME} Gui Widgets Network Test PrintSupport)
     set(QT_LIBRARIES "")
 endif()
-add_dependencies(${PROJECT_NAME} qhexedit qcustomplot qscintilla2)
+# add_dependencies(${PROJECT_NAME} qhexedit qcustomplot qscintilla2)
+add_dependencies(${PROJECT_NAME} qhexedit qcustomplot)
 if(NOT ANTLR2_FOUND)
     add_dependencies(${PROJECT_NAME} antlr)
 endif()
@@ -287,8 +290,7 @@
 link_directories(
 		"${CMAKE_CURRENT_BINARY_DIR}/${ANTLR_DIR}"
 		"${CMAKE_CURRENT_BINARY_DIR}/${QHEXEDIT_DIR}"
-		"${CMAKE_CURRENT_BINARY_DIR}/${QCUSTOMPLOT_DIR}"
-		"${CMAKE_CURRENT_BINARY_DIR}/${QSCINTILLA_DIR}")
+		"${CMAKE_CURRENT_BINARY_DIR}/${QCUSTOMPLOT_DIR}")
 if(NOT ANTLR2_FOUND)
     link_directories("${CMAKE_CURRENT_BINARY_DIR}/${ANTLR_DIR}")
 endif()
@@ -296,7 +298,7 @@
 target_link_libraries(${PROJECT_NAME}
 		qhexedit
 		qcustomplot
-		qscintilla2
+		"-L${QSCINTILLA_LIB_DIR} -lqscintilla2_qt5"
 		${QT_LIBRARIES}
 		${WIN32_STATIC_LINK}
 		${LIBSQLITE}
@@ -326,7 +328,7 @@
 	add_subdirectory(src/tests)
 endif()
 
-if(UNIX AND NOT APPLE)
+if(UNIX)
 	install(FILES src/icons/${PROJECT_NAME}.png
 		DESTINATION share/icons/hicolor/256x256/apps/)
 	
@@ -335,7 +337,7 @@
 
 	install(FILES distri/${PROJECT_NAME}.desktop.appdata.xml
 		DESTINATION share/appdata/)
-endif(UNIX AND NOT APPLE)
+endif(UNIX)
 
 if(WIN32 AND MSVC)
 	install(TARGETS ${PROJECT_NAME}
@@ -405,9 +407,12 @@
                ExecWait '\\\"$INSTDIR\\\\redist\\\\${VSREDIST}\\\" /install /passive /quiet'
                Delete '\\\"$INSTDIR\\\\redist\\\\${VSREDIST}\\\"'
                ")
-else(WIN32 AND NOT UNIX)
-	set(CPACK_STRIP_FILES "bin/DB Browser for SQLite")
-	set(CPACK_SOURCE_STRIP_FILES "")
+# else(WIN32 AND NOT UNIX)
+# 	set(CPACK_STRIP_FILES "bin/DB Browser for SQLite")
+# 	set(CPACK_SOURCE_STRIP_FILES "")
 endif(WIN32 AND NOT UNIX)
-set(CPACK_PACKAGE_EXECUTABLES "DB Browser for SQLite" "DB Browser for SQLite")
+set(CPACK_PACKAGE_EXECUTABLES "SQLiteBrowser" "DB Browser for SQLite")
 include(CPack)
+
+feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
